#ifndef CAMERAPAGE_H_
#define CAMERAPAGE_H_
#include "CameraInfo.h"

class CCamInfoPage:public CPropertyPage
{
private:
void Validate();
bool NoUpdate;
DWORD VTimerID,VTime;

protected:
void DelayedValidate();
CameraInfo *CamInfo;

void SetValidateTime(int tme) {VTime=tme;}
virtual void UpdateControlStates()=0;
virtual void DataOut()=0;
virtual void DataIn()=0;


public:
void SetCamInfo(CameraInfo *CIn) {CamInfo=CIn;}
void Refresh();
void SetUpdate(bool flg) {NoUpdate=!flg;}
CCamInfoPage( UINT nIDTemplate, UINT nIDCaption = 0 );

	// Generated message map functions
	//{{AFX_MSG(CCamInfoDlg)
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnEditChange(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif